mxGraphTransferable (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.util
Class mxGraphTransferable

    java.lang.Object
      com.mxgraph.swing.util.mxGraphTransferable

All Implemented Interfaces:
  Transferable, Serializable, UIResource

    public class mxGraphTransferable

extends Object
implements Transferable, UIResource, Serializable

See Also:
  Serialized Form

Field Summary
`protected mxRectangle` | `bounds`
`protected Object[]` | `cells`
`static DataFlavor` | `dataFlavor` Serialized Data Flavor.
`protected ImageIcon` | `image`

Constructor Summary
`mxGraphTransferable(Object[] cells, mxRectangle bounds)`
`mxGraphTransferable(Object[] cells, mxRectangle bounds, ImageIcon image)`

Method Summary
`mxRectangle` | `getBounds()` Returns the unscaled, untranslated bounding box of the cells.
`Object[]` | `getCells()`
`protected String` | `getHtmlData()` Fetch the data in a text/html format
`ImageIcon` | `getImage()`
`protected String` | `getPlainData()` Fetch the data in a text/plain format.
`Object` | `getRicherData(DataFlavor flavor)`
`protected DataFlavor[]` | `getRicherFlavors()` Some subclasses will have flavors that are more descriptive than HTML or plain text.
`Object` | `getTransferData(DataFlavor flavor)` Returns an object which represents the data to be transferred.
`DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(DataFlavor flavor)` Returns whether or not the specified data flavor is supported for this object.
`protected boolean` | `isHtmlFlavor(DataFlavor flavor)` Returns whether or not the specified data flavor is an HTML flavor that is supported.
`protected boolean` | `isHtmlSupported()` Whether the HTML flavors are offered.
`protected boolean` | `isImageFlavor(DataFlavor flavor)`
`boolean` | `isImageSupported()`
`protected boolean` | `isPlainFlavor(DataFlavor flavor)` Returns whether or not the specified data flavor is an plain flavor that is supported.
`protected boolean` | `isPlainSupported()` Whether the plain text flavors are offered.
`protected boolean` | `isRicherFlavor(DataFlavor flavor)`
`protected boolean` | `isStringFlavor(DataFlavor flavor)` Returns whether or not the specified data flavor is a String flavor that is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataFlavor

    public static DataFlavor dataFlavor

  Serialized Data Flavor. Use the following code to switch to local reference flavor: `try { mxGraphTransferable.dataFlavor = new DataFlavor(DataFlavor.javaJVMLocalObjectMimeType + "; class=com.mxgraph.swing.util.mxGraphTransferable"); } catch (ClassNotFoundException cnfe) { // do nothing }` If you get a class not found exception, try the following instead: `mxGraphTransferable.dataFlavor = new DataFlavor(DataFlavor.javaJVMLocalObjectMimeType + "; class=com.mxgraph.swing.util.mxGraphTransferable", null, new com.mxgraph.swing.util.mxGraphTransferable(null, null).getClass().getClassLoader());`

### cells

    protected Object[] cells

### bounds

    protected mxRectangle bounds

### image

    protected ImageIcon image

Constructor Detail

### mxGraphTransferable

    public mxGraphTransferable(Object[] cells,
                               mxRectangle bounds)

### mxGraphTransferable

    public mxGraphTransferable(Object[] cells,
                               mxRectangle bounds,
                               ImageIcon image)

Method Detail

### getCells

    public Object[] getCells()

  Returns:
    Returns the cells.

### getBounds

    public mxRectangle getBounds()

  Returns the unscaled, untranslated bounding box of the cells.

### getImage

    public ImageIcon getImage()

### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `Transferable`

### getRicherFlavors

    protected DataFlavor[] getRicherFlavors()

  Some subclasses will have flavors that are more descriptive than HTML or plain text. If this method returns a non-null value, it will be placed at the start of the array of supported flavors.

### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)

  Returns whether or not the specified data flavor is supported for this object.

  Specified by:
    `isDataFlavorSupported` in interface `Transferable`
  Parameters:
    `flavor` - the requested flavor for the data
  Returns:
    boolean indicating whether or not the data flavor is supported

### getTransferData

    public Object getTransferData(DataFlavor flavor)
                           throws UnsupportedFlavorException,
                                  IOException

  Returns an object which represents the data to be transferred. The class of the object returned is defined by the representation class of the flavor.

  Specified by:
    `getTransferData` in interface `Transferable`
  Parameters:
    `flavor` - the requested flavor for the data
  Throws:
    `IOException` - if the data is no longer available in the requested flavor.
    `UnsupportedFlavorException` - if the requested data flavor is not supported.
  See Also:
    `DataFlavor.getRepresentationClass()`

### isRicherFlavor

    protected boolean isRicherFlavor(DataFlavor flavor)

  Parameters:
    `flavor` -
  Returns:
    Returns true if the given flavor is a richer flavor of this transferable.

### getRicherData

    public Object getRicherData(DataFlavor flavor)
                         throws UnsupportedFlavorException

  Parameters:
    `flavor` -
  Returns:
    the richer data flavor of this and the specified
  Throws:
    `UnsupportedFlavorException`

### isHtmlFlavor

    protected boolean isHtmlFlavor(DataFlavor flavor)

  Returns whether or not the specified data flavor is an HTML flavor that is supported.

  Parameters:
    `flavor` - the requested flavor for the data
  Returns:
    boolean indicating whether or not the data flavor is supported

### isHtmlSupported

    protected boolean isHtmlSupported()

  Whether the HTML flavors are offered. If so, the method getHTMLData should be implemented to provide something reasonable.

### getHtmlData

    protected String getHtmlData()

  Fetch the data in a text/html format

### isImageFlavor

    protected boolean isImageFlavor(DataFlavor flavor)

  Parameters:
    `flavor` -
  Returns:
    Returns true if the given flavor is an image flavor of this transferable.

### isImageSupported

    public boolean isImageSupported()

### isPlainFlavor

    protected boolean isPlainFlavor(DataFlavor flavor)

  Returns whether or not the specified data flavor is an plain flavor that is supported.

  Parameters:
    `flavor` - the requested flavor for the data
  Returns:
    boolean indicating whether or not the data flavor is supported

### isPlainSupported

    protected boolean isPlainSupported()

  Whether the plain text flavors are offered. If so, the method getPlainData should be implemented to provide something reasonable.

### getPlainData

    protected String getPlainData()

  Fetch the data in a text/plain format.

### isStringFlavor

    protected boolean isStringFlavor(DataFlavor flavor)

  Returns whether or not the specified data flavor is a String flavor that is supported.

  Parameters:
    `flavor` - the requested flavor for the data
  Returns:
    boolean indicating whether or not the data flavor is supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.